dnsjit.core.object.tcp(3)

NAME
dnsjit.core.object.tcp - A TCP segment header

DESCRIPTION
A TCP segment header. The data itself is in the dnsjit.core.object.payload object, which is the next object in the chain after parsing with, for example, dnsjit.filter.layer.

  Attributes

sport
    Source port.

dport
    Destination port.

seq Sequence number.

ack Acknowledgement number.

off Data offset.

x2  Unused.

flags
    TCP flags.

win Window.

sum Checksum.

urp Urgent pointer.

opts
    Array of bytes with the TCP options found.

opts_len
    Length of the TCP options.

  Functions

Tcp:type()
    Return the textual type of the object.

Tcp:prev()
    Return the previous object.

Tcp:cast()
    Cast the object to the underlining object module and return it.

Tcp:uncast()
    Cast the object to the generic object module and return it.

Tcp:copy()
    Make a copy of the object and return it.

Tcp:free()
    Free the object, should only be used on copies or otherwise allocated.

SEE ALSO
dnsjit.core.object(3), dnsjit.core.object.payload(3), dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net